// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * Power system connect modes to the power grid (GridConnectModeKind)
 * </pre>
 *
 * Protobuf enum {@code commonmodule.GridConnectModeKind}
 */
public enum GridConnectModeKind
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>GridConnectModeKind_UNDEFINED = 0;</code>
   */
  GridConnectModeKind_UNDEFINED(0),
  /**
   * <pre>
   * Current-source inverter (CSI)
   * </pre>
   *
   * <code>GridConnectModeKind_CSI = 1;</code>
   */
  GridConnectModeKind_CSI(1),
  /**
   * <pre>
   * Voltage-controlled voltage-source inverter (VC-VSI)
   * </pre>
   *
   * <code>GridConnectModeKind_VC_VSI = 2;</code>
   */
  GridConnectModeKind_VC_VSI(2),
  /**
   * <pre>
   * Current-controlled voltage-source inverter (CC-VSI)
   * </pre>
   *
   * <code>GridConnectModeKind_CC_VSI = 3;</code>
   */
  GridConnectModeKind_CC_VSI(3),
  /**
   * <pre>
   * Not applicable / Unknown
   * </pre>
   *
   * <code>GridConnectModeKind_none = 98;</code>
   */
  GridConnectModeKind_none(98),
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>GridConnectModeKind_other = 99;</code>
   */
  GridConnectModeKind_other(99),
  /**
   * <pre>
   * Voltage source inverter regulating to P and Q references (VSI PQ)
   * </pre>
   *
   * <code>GridConnectModeKind_VSI_PQ = 2000;</code>
   */
  GridConnectModeKind_VSI_PQ(2000),
  /**
   * <pre>
   * Voltage source inverter regulating to voltage and frequency references paralleling other
   * generation and not grid forming (VSI VF).
   * </pre>
   *
   * <code>GridConnectModeKind_VSI_VF = 2001;</code>
   */
  GridConnectModeKind_VSI_VF(2001),
  /**
   * <pre>
   * Voltage source inverter regulating to voltage and frequency references as primary grid forming
   * generation (VSI ISO).
   * </pre>
   *
   * <code>GridConnectModeKind_VSI_ISO = 2002;</code>
   */
  GridConnectModeKind_VSI_ISO(2002),
  UNRECOGNIZED(-1),
  ;

  /**
   * <pre>
   * Undefined
   * </pre>
   *
   * <code>GridConnectModeKind_UNDEFINED = 0;</code>
   */
  public static final int GridConnectModeKind_UNDEFINED_VALUE = 0;
  /**
   * <pre>
   * Current-source inverter (CSI)
   * </pre>
   *
   * <code>GridConnectModeKind_CSI = 1;</code>
   */
  public static final int GridConnectModeKind_CSI_VALUE = 1;
  /**
   * <pre>
   * Voltage-controlled voltage-source inverter (VC-VSI)
   * </pre>
   *
   * <code>GridConnectModeKind_VC_VSI = 2;</code>
   */
  public static final int GridConnectModeKind_VC_VSI_VALUE = 2;
  /**
   * <pre>
   * Current-controlled voltage-source inverter (CC-VSI)
   * </pre>
   *
   * <code>GridConnectModeKind_CC_VSI = 3;</code>
   */
  public static final int GridConnectModeKind_CC_VSI_VALUE = 3;
  /**
   * <pre>
   * Not applicable / Unknown
   * </pre>
   *
   * <code>GridConnectModeKind_none = 98;</code>
   */
  public static final int GridConnectModeKind_none_VALUE = 98;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>GridConnectModeKind_other = 99;</code>
   */
  public static final int GridConnectModeKind_other_VALUE = 99;
  /**
   * <pre>
   * Voltage source inverter regulating to P and Q references (VSI PQ)
   * </pre>
   *
   * <code>GridConnectModeKind_VSI_PQ = 2000;</code>
   */
  public static final int GridConnectModeKind_VSI_PQ_VALUE = 2000;
  /**
   * <pre>
   * Voltage source inverter regulating to voltage and frequency references paralleling other
   * generation and not grid forming (VSI VF).
   * </pre>
   *
   * <code>GridConnectModeKind_VSI_VF = 2001;</code>
   */
  public static final int GridConnectModeKind_VSI_VF_VALUE = 2001;
  /**
   * <pre>
   * Voltage source inverter regulating to voltage and frequency references as primary grid forming
   * generation (VSI ISO).
   * </pre>
   *
   * <code>GridConnectModeKind_VSI_ISO = 2002;</code>
   */
  public static final int GridConnectModeKind_VSI_ISO_VALUE = 2002;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static GridConnectModeKind valueOf(int value) {
    return forNumber(value);
  }

  /**
   * @param value The numeric wire value of the corresponding enum entry.
   * @return The enum associated with the given numeric wire value.
   */
  public static GridConnectModeKind forNumber(int value) {
    switch (value) {
      case 0: return GridConnectModeKind_UNDEFINED;
      case 1: return GridConnectModeKind_CSI;
      case 2: return GridConnectModeKind_VC_VSI;
      case 3: return GridConnectModeKind_CC_VSI;
      case 98: return GridConnectModeKind_none;
      case 99: return GridConnectModeKind_other;
      case 2000: return GridConnectModeKind_VSI_PQ;
      case 2001: return GridConnectModeKind_VSI_VF;
      case 2002: return GridConnectModeKind_VSI_ISO;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<GridConnectModeKind>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      GridConnectModeKind> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<GridConnectModeKind>() {
          public GridConnectModeKind findValueByNumber(int number) {
            return GridConnectModeKind.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalStateException(
          "Can't get the descriptor of an unrecognized enum value.");
    }
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.getDescriptor().getEnumTypes().get(10);
  }

  private static final GridConnectModeKind[] VALUES = values();

  public static GridConnectModeKind valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private GridConnectModeKind(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:commonmodule.GridConnectModeKind)
}

